# Null_Condition.h File Reference

`#include "ace/Null_Mutex.h"`
`#include "ace/os_include/os_errno.h"`

Include dependency graph for Null_Condition.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Null_Condition
| Implement a do nothing ACE_Condition variable wrapper, i.e., all methods are no ops. This class is necessary since some C++ compilers are *very* lame... More...

## Detailed Description

Id
  Null_Condition.h,v 4.5 2006/02/10 10:07:58 jwillemsen Exp

Moved from Synch.h.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>